QT       += core gui

# 适配窗口管理器圆角阴影
QT += KWindowSystem x11extras

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++11 link_pkgconfig

LIBS +=-lpthread
LIBS +=-lX11

PKGCONFIG += yaml-cpp

QMAKE_CXXFLAGS += -Wall -ggdb -Wno-implicit-fallthrough

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    basedialog.cpp \
    baseinfoframe.cpp \
    buildoptionsdialog.cpp \
    common/subprocess.cpp \
    component/chooselineedit.cpp \
    component/clicklabel.cpp \
    component/doubleclickwidget.cpp \
    componentwidget.cpp \
    logic/HistoryManager.cpp \
    logic/KMBuilderApi.cpp \
    logic/KMBuilderManifest.cpp \
    logic/KMBuilderSearch.cpp \
    logic/KMBuilderStringUtils.cpp \
    logic/KMParseSummaryJson.cpp \
    logic/KMRef.cpp \
    logic/KMYAMLNodeHelper.cpp \
    main.cpp \
    mainwindow.cpp \
    manifestwidget.cpp \
    messageboxutils.cpp \
    outputwidget.cpp \
    packagelistdialog.cpp \
    permissiondialog.cpp \
    selectdependsdialog.cpp \
    setupinfoframe.cpp \
    sourcedialog.cpp \
    stackedwidgetmanager.cpp \
    packageframe.cpp \
    startwidget.cpp \
    xatom-helper.cpp

HEADERS += \
    basedialog.h \
    baseinfoframe.h \
    buildoptionsdialog.h \
    common/dynamiccreator.h \
    common/singleton.h \
    common/spinlock_mutex.h \
    common/subprocess.h \
    component/chooselineedit.h \
    component/clicklabel.h \
    component/doubleclickwidget.h \
    componentwidget.h \
    globalinfo.h \
    globalsignals.h \
    logic/HistoryManager.h \
    logic/KMBuilderApi.h \
    logic/KMBuilderManifest.h \
    logic/KMBuilderSearch.h \
    logic/KMBuilderStringUtils.h \
    logic/KMParseSummaryJson.h \
    logic/KMRef.h \
    logic/KMStructData.h \
    logic/KMYAMLNodeHelper.h \
    mainwindow.h \
    manifestwidget.h \
    messageboxutils.h \
    outputwidget.h \
    packagelistdialog.h \
    permissiondialog.h \
    selectdependsdialog.h \
    setupinfoframe.h \
    sourcedialog.h \
    stackedwidgetmanager.h \
    packageframe.h \
    startwidget.h \
    xatom-helper.h

TRANSLATIONS += qt_zh_CN.ts
message($$system(./generate_translations_qm.sh))

RESOURCES += \
    app.qrc

# Default rules for deployment.
qnx: target.path = /opt/kaiming-tools/bin
else: unix:!android: target.path = /opt/kaiming-tools/bin
!isEmpty(target.path): INSTALLS += target

data.files = kaiming-builder-gui.desktop \
             kaiming-builder-gui.svg
data.path = /opt/kaiming-tools/share/kaiming-builder-gui
INSTALLS += data

DISTFILES += \
    generate_translations_qm.sh

#DISTFILES += \
#    resources/images/kylin-id.svg \
#    resources/images/view-more-horizontal-symbolic.svg \
#    resources/symbos/preferences-system-search-symbolic.svg \
#    resources/symbos/window-close-symbolic.svg

